package imt;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@Data
public class Chef extends Person {
	private final int etoiles;
	private final Specialite specialite;

	public Chef(int id, String nom, String prenom, String telephone, Genre genre, int etoiles, Specialite specialite) {
		super(id, nom, prenom, telephone, genre);
		this.etoiles = etoiles;
		this.specialite = specialite;
	}
}
